package cn.newfeifan.mall.module.trade.service.ordersettlement;

import javax.validation.*;
import cn.newfeifan.mall.module.trade.controller.app.ordersettlement.vo.*;
import cn.newfeifan.mall.module.trade.dal.dataobject.ordersettlement.OrderSettlementDO;
import cn.newfeifan.mall.framework.common.pojo.PageResult;

/**
 * 订单结算表,记录有那些订单参与了本次结算 Service 接口
 *
 * @author 非繁人
 */
public interface OrderSettlementService {

    /**
     * 创建订单结算表,记录有那些订单参与了本次结算
     *
     * @param createReqVO 创建信息
     * @return 编号
     */
    Long createOrderSettlement(@Valid AppOrderSettlementSaveReqVO createReqVO);

    /**
     * 更新订单结算表,记录有那些订单参与了本次结算
     *
     * @param updateReqVO 更新信息
     */
    void updateOrderSettlement(@Valid AppOrderSettlementSaveReqVO updateReqVO);

    /**
     * 删除订单结算表,记录有那些订单参与了本次结算
     *
     * @param id 编号
     */
    void deleteOrderSettlement(Long id);

    /**
     * 获得订单结算表,记录有那些订单参与了本次结算
     *
     * @param id 编号
     * @return 订单结算表,记录有那些订单参与了本次结算
     */
    OrderSettlementDO getOrderSettlement(Long id);

    /**
     * 获得订单结算表,记录有那些订单参与了本次结算分页
     *
     * @param pageReqVO 分页查询
     * @return 订单结算表,记录有那些订单参与了本次结算分页
     */
    PageResult<OrderSettlementDO> getOrderSettlementPage(AppOrderSettlementPageReqVO pageReqVO);

}