package cn.newfeifan.mall.module.trade.service.shopsettlement;

import javax.validation.*;
import cn.newfeifan.mall.module.trade.controller.app.shopsettlement.vo.*;
import cn.newfeifan.mall.module.trade.dal.dataobject.shopsettlement.ShopSettlementDO;
import cn.newfeifan.mall.framework.common.pojo.PageResult;

/**
 * 订单结算信息表，记录店铺的结算信息 Service 接口
 *
 * @author 非繁人
 */
public interface ShopSettlementService {

    /**
     * 创建订单结算信息表，记录店铺的结算信息
     *
     * @param createReqVO 创建信息
     * @return 编号
     */
    Long createShopSettlement(@Valid AppShopSettlementSaveReqVO createReqVO);

    /**
     * 更新订单结算信息表，记录店铺的结算信息
     *
     * @param updateReqVO 更新信息
     */
    void updateShopSettlement(@Valid AppShopSettlementSaveReqVO updateReqVO);

    /**
     * 删除订单结算信息表，记录店铺的结算信息
     *
     * @param id 编号
     */
    void deleteShopSettlement(Long id);

    /**
     * 获得订单结算信息表，记录店铺的结算信息
     *
     * @param id 编号
     * @return 订单结算信息表，记录店铺的结算信息
     */
    ShopSettlementDO getShopSettlement(Long id);

    /**
     * 获得订单结算信息表，记录店铺的结算信息分页
     *
     * @param pageReqVO 分页查询
     * @return 订单结算信息表，记录店铺的结算信息分页
     */
    PageResult<ShopSettlementDO> getShopSettlementPage(AppShopSettlementPageReqVO pageReqVO);

}